# syntaxmatrix/themes.py

DEFAULT_THEMES = {
    "light": {
        "background": "#f4f7f9",
        "text_color": "#333",
        "nav_background": "#007acc",
        "nav_text": "#fff",
        "chat_background": "#eef2f7",
        "chat_border": "#e0e0e0",
        "widget_background": "#dddddd",
        "widget_border": "#007acc",
        "sidebar_background": "#eeeeee",
        "sidebar_text": "#333"
    },
    "dark": {
        "background": "#1e1e1e",
        "text_color": "black",
        "nav_background": "#333",
        "nav_text": "#fff",
        "chat_background": "#2e2e2e",
        "chat_border": "#555",
        "widget_background": "#444",
        "widget_border": "#007acc",
        "sidebar_background": "#2a2a2a",
        "sidebar_text": "#ccc"
    },
    "chark": {
        "background": "#f4f7f9",
        "nav_background": "#123456",
        "nav_text": "#ffffff",
        "chat_border": "#cccccc",
        "chat_background": "#f7f7f7",
        "sidebar_background": "#eeeeee",
        "widget_background": "#dddddd",
        "widget_border": "#123456",
        "text_color": "#000000",
    },
    "github": {
        "background": "#f4f7f9",
        "text_color": "#333",
        "nav_background": "#24292e",
        "nav_text": "#ffffff",
        "chat_background": "#f7f7f7",
        "chat_border": "#cccccc",
        "widget_background": "#ffffff",
        "widget_border": "#007acc",
        "sidebar_background": "#ffffff",
        "sidebar_text": "#333"
    },
    "dracula": {
        "background": "#282a36",
        "text_color": "#f8f8f2",
        "nav_background": "#44475a",
        "nav_text": "#f8f8f2",
        "chat_background": "#44475a",
        "chat_border": "#6272a4",
        "widget_background": "#44475a",
        "widget_border": "#50fa7b",
        "sidebar_background": "#44475a",
        "sidebar_text": "#f8f8f2"
    },
    "solarized-light": {
        "background": "#fdf6e3",
        "text_color": "#657b83",
        "nav_background": "#268bd2",
        "nav_text": "#fdf6e3",
        "chat_background": "#eee8d5",
        "chat_border": "#93a1a1",
        "widget_background": "#eee8d5",
        "widget_border": "#268bd2",
        "sidebar_background": "#eee8d5",
        "sidebar_text": "#657b83"
    },
    "solarized-dark": {
        "background": "#002b36",
        "text_color": "#839496",
        "nav_background": "#268bd2",
        "nav_text": "#fdf6e3",
        "chat_background": "#073642",
        "chat_border": "#586e75",
        "widget_background": "#073642",
        "widget_border": "#268bd2",
        "sidebar_background": "#073642",
        "sidebar_text": "#839496"
    },
    "oceanic-next": {
        "background": "#1B2B34",
        "text_color": "#D8DEE9",
        "nav_background": "#1C1F24",
        "nav_text": "#C0C5CE",
        "chat_background": "#2A303C",
        "chat_border": "#4F5B66",
        "widget_background": "#2A303C",
        "widget_border": "#4F5B66",
        "sidebar_background": "#1C1F24",
        "sidebar_text": "#C0C5CE"
    },
    "ayu-mirage": {
        "background": "#1F2430",
        "text_color": "#A6ACCD",
        "nav_background": "#1F2430",
        "nav_text": "#A6ACCD",
        "chat_background": "#1F2430",
        "chat_border": "#4B5263",
        "widget_background": "#1F2430",
        "widget_border": "#4B5263",
        "sidebar_background": "#1F2430",
        "sidebar_text": "#A6ACCD"
    },
    "gruvbox": {
        "background": "#282828",
        "text_color": "#ebdbb2",
        "nav_background": "#3c3836",
        "nav_text": "#fbf1c7",
        "chat_background": "#3c3836",
        "chat_border": "#7c6f64",
        "widget_background": "#3c3836",
        "widget_border": "#7c6f64",
        "sidebar_background": "#3c3836",
        "sidebar_text": "#fbf1c7"
    },
    "material": {
        "background": "#263238",
        "text_color": "#eceff1",
        "nav_background": "#37474f",
        "nav_text": "#eceff1",
        "chat_background": "#37474f",
        "chat_border": "#546e7a",
        "widget_background": "#37474f",
        "widget_border": "#546e7a",
        "sidebar_background": "#37474f",
        "sidebar_text": "#eceff1"
    },
    "nord": {
        "background": "#2E3440",
        "text_color": "#D8DEE9",
        "nav_background": "#3B4252",
        "nav_text": "#D8DEE9",
        "chat_background": "#3B4252",
        "chat_border": "#434C5E",
        "widget_background": "#3B4252",
        "widget_border": "#434C5E",
        "sidebar_background": "#3B4252",
        "sidebar_text": "#D8DEE9"
    },
    "one-dark": {
        "background": "#282c34",
        "text_color": "#abb2bf",
        "nav_background": "#21252b",
        "nav_text": "#abb2bf",
        "chat_background": "#21252b",
        "chat_border": "#3e4451",
        "widget_background": "#21252b",
        "widget_border": "#3e4451",
        "sidebar_background": "#21252b",
        "sidebar_text": "#abb2bf"
    },

}
